Description

The 2.0 functionality and UI for singleband gray raster contrast enhancement is excellent, with support for a min/max, percentile, and

stddev stretch computed for the full or current extent.

Unfortunately, this same functionality is not available for the singleband pseudocolor, which is how many users display non-image raster

data (e.g. topography, thermal data).  The new cpt-city ramp support for singleband pseudocolor is a step in the right direction, but the

user is limited to a classified, equal-interval colormap that needs to be manually generated.

A much more intuitive solution would be to allow the singleband gray stats functionality (specified min/max, percentile) to define the linear

bounds of the available pseudocolor ramps, in addition to the classified colormap support.  This is basic functionality in commercial GIS

applications and other scientific visualization packages (e.g. set_clim in matplotlib).

History

#1 - 2012-10-05 02:13 PM - Radim Blazek

Added. A bit crowded.

#2 - 2012-10-05 02:22 PM - Giovanni Manghi

Radim Blazek wrote:

Added. A bit crowded.

Hi Radim,

can I close this ticket?

#3 - 2012-10-06 01:26 AM - Radim Blazek

Yes, if you think it is OK.

#4 - 2016-01-20 02:06 AM - Médéric RIBREUX

- Status changed from Open to Closed

Hello, bug triage...

as Giovanni suggested, I am closing this ticket ;-)
